Name:           hg-git
Version:        1.1.3
Release:        1%{?dist}
Summary:        Mercurial Plugin for Communicating with Git Servers
License:        GPLv2+
URL:            http://hg-git.github.io
Source0:        https://pypi.python.org/packages/source/h/hg-git/hg-git-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  mercurial
BuildRequires:  python3-devel
BuildRequires:  python3-dulwich >= 0.19
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
Requires:       mercurial
Requires:       python3-dulwich >= 0.19
%if 0%{?rhel} && 0%{?rhel} < 7
Requires:       python-ordereddict
%endif


%description
This is the Hg-Git plugin for Mercurial, adding the ability to push and pull
to/from a Git server repository from Hg. This means you can collaborate on Git
based projects from Hg, or use a Git server as a collaboration point for a team
with developers using both Git and Hg. It can also convert commits/changesets
losslessly from one system to another, so you can push via an Hg repository
and another Hg client can pull it and their changeset node ids will be
identical - Mercurial data does not get lost in translation.

%prep
%setup -q
rm -frv *.egg-info

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.rst
%license COPYING
%{python3_sitelib}/hggit/
%{python3_sitelib}/*.egg-info/

%changelog
* Sat Jan 06 2024 Romain DEP. <rom1dep@gmail.com> - 1.1.0b1-1
- Update to 1.1.0b1

* Sun Apr 17 2022 Romain DEP. <rom1dep@gmail.com> - 1.0.0-1
- Update to 1.0.0

* Sun Mar 06 2022 Romain DEP. <rom1dep@gmail.com> - 1.0.x-1
- Update to 1.0.x-default (upstream 3c311a582d84)

* Sun Nov 07 2021 Romain DEP. <rom1dep@gmail.com> - 0.10.2-1
- Update to 0.10.2-default (upstream 38994d7828b3)

* Sun Aug 29 2021 Romain DEP. <rom1dep@gmail.com> - 0.10.2-1
- Update to 0.10.2

* Sat Aug 08 2020 Romain DEP. <rom1dep@gmail.com> - 0.9.0-1
- Update to 0.9.0a1+13

* Wed Aug 05 2020 Romain DEP. <rom1dep@gmail.com> - 0.9.0a1+13-1
- Update to 0.9.0a1+13

* Sun Apr 26 2020 Petr Stodulka <pstodulk@redhat.com> - 0.8.13-1
- Rebase to 0.8.13
- Fix compatibility issues with mercurialg 4.9+
- Resolves: #1706411

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Sep 12 2018 Petr Stodulka <pstodulk@redhat.com> - 0.8.11-3
- fix compatibility with python-dulwich 0.19
  Resolves: #1627803

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 03 2018 Petr Stodulka <pstodulk@redhat.com> - 0.8.11-1
- Rebase to 0.8.11
- Compatible with Mercurial v4.5

* Wed Feb 07 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.8.6-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri May 12 2017 Petr Stodulka <pstodulk@redhat.com> - 0.8.6-1
- Update to 0.8.6
- Compatible with the Mercurial v4.1

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Jul 01 2016 Petr Stodulka <pstodulk@redhat.com> - 0.8.5-1
- Update to 0.8.5

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Aug 23 2015 Christopher Meng <rpm@cicku.me> - 0.8.2-1
- Update to 0.8.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Nov 15 2014 Christopher Meng <rpm@cicku.me> - 0.7.0-1
- Update to 0.7.0

* Tue Aug 05 2014 Christopher Meng <rpm@cicku.me> - 0.6.1-1
- Update to 0.6.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Christopher Meng <rpm@cicku.me> - 0.6.0-1
- Update to 0.6.0

* Tue Mar 25 2014 Christopher Meng <rpm@cicku.me> - 0.5.0-1
- Update to 0.5.0

* Mon Dec 02 2013 Matěj Cepl <mcepl@redhat.com> - 0.4.0-4
- We only need python-ordereddict on EPEL<=6.

* Fri Nov 08 2013 Christopher Meng <rpm@cicku.me> - 0.4.0-3
- Add missing ordereddict requires.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Apr 20 2013 Christopher Meng <rpm@cicku.me> - 0.4.0-1
- Initial Package.
